/**************************************************************
 * HTTPPrint.h
 * Provides callback headers and resolution for user's custom
 * HTTP Application.
 * 
 * This file is automatically generated by the MPFS Utility
 * ALL MODIFICATIONS WILL BE OVERWRITTEN BY THE MPFS GENERATOR
 **************************************************************/

#ifndef __HTTPPRINT_H
#define __HTTPPRINT_H

#include "TCPIP Stack/TCPIP.h"

#if defined(STACK_USE_HTTP2_SERVER)

extern HTTP_CONN curHTTP;
extern HTTP_STUB httpStubs[MAX_HTTP_CONNECTIONS];
extern BYTE curHTTPID;

void HTTPPrint(DWORD callbackID);
void HTTPPrint_hellomsg(void);
void HTTPPrint_builddate(void);
void HTTPPrint_version(void);
void HTTPPrint_config_mac(void);
void HTTPPrint_config_hostname(void);
void HTTPPrint_config_dhcpchecked(void);
void HTTPPrint_config_ip(void);
void HTTPPrint_config_gw(void);
void HTTPPrint_config_subnet(void);
void HTTPPrint_config_dns1(void);
void HTTPPrint_config_dns2(void);
void HTTPPrint_reboot(void);
void HTTPPrint_rebootaddr(void);
void HTTPPrint_mac_addr(void);
void HTTPPrint_uptime(void);
void HTTPPrint_utc_zone(void);
void HTTPPrint_utc_server(void);
void HTTPPrint_utc_stat(void);
void HTTPPrint_utc_time(void);
void HTTPPrint_utc_date(void);
void HTTPPrint_config_password(void);
void HTTPPrint_config_utc_server(void);
void HTTPPrint_tzone_val(void);
void HTTPPrint_conn_stat(void);
void HTTPPrint_config_scr_srv(void);
void HTTPPrint_config_scr_path(void);
void HTTPPrint_config_scr_ref(void);

void HTTPPrint(DWORD callbackID)
{
	switch(callbackID)
	{
        case 0x00000001:
			HTTPPrint_hellomsg();
			break;
        case 0x00000002:
			HTTPIncFile((ROM BYTE*)"footer.inc");
			break;
        case 0x00000005:
			HTTPPrint_builddate();
			break;
        case 0x00000016:
			HTTPPrint_version();
			break;
        case 0x00000025:
			HTTPPrint_config_mac();
			break;
        case 0x00000026:
			HTTPPrint_config_hostname();
			break;
        case 0x00000027:
			HTTPPrint_config_dhcpchecked();
			break;
        case 0x00000028:
			HTTPPrint_config_ip();
			break;
        case 0x00000029:
			HTTPPrint_config_gw();
			break;
        case 0x0000002a:
			HTTPPrint_config_subnet();
			break;
        case 0x0000002b:
			HTTPPrint_config_dns1();
			break;
        case 0x0000002c:
			HTTPPrint_config_dns2();
			break;
        case 0x0000002d:
			HTTPPrint_reboot();
			break;
        case 0x0000002e:
			HTTPPrint_rebootaddr();
			break;
        case 0x00000033:
			HTTPIncFile((ROM BYTE*)"header.inc");
			break;
        case 0x0000004b:
			HTTPPrint_mac_addr();
			break;
        case 0x0000004c:
			HTTPPrint_uptime();
			break;
        case 0x0000004e:
			HTTPPrint_utc_zone();
			break;
        case 0x0000004f:
			HTTPPrint_utc_server();
			break;
        case 0x00000050:
			HTTPPrint_utc_stat();
			break;
        case 0x00000052:
			HTTPPrint_utc_time();
			break;
        case 0x00000053:
			HTTPPrint_utc_date();
			break;
        case 0x0000005b:
			HTTPPrint_config_password();
			break;
        case 0x0000005c:
			HTTPPrint_config_utc_server();
			break;
        case 0x0000005d:
			HTTPPrint_tzone_val();
			break;
        case 0x0000006f:
			HTTPPrint_conn_stat();
			break;
        case 0x00000070:
			HTTPPrint_config_scr_srv();
			break;
        case 0x00000071:
			HTTPPrint_config_scr_path();
			break;
        case 0x00000072:
			HTTPPrint_config_scr_ref();
			break;
		default:
			// Output notification for undefined values
			TCPPutROMArray(sktHTTP, (ROM BYTE*)"!DEF", 4);
	}

	return;
}

void HTTPPrint_(void)
{
	TCPPut(sktHTTP, '~');
	return;
}

#endif

#endif
