/************************************************************************
* Software License Agreement
*
* This software is owned by Kenneth Lumia and is supplied to you 
* for use exclusively as described in the associated software 
* agreement.  This software is protected by software and other 
* intellectual property laws.  Any use in violation of the software 
* license may subject the user to criminal sanctions as well as 
* civil liability.  Copyright 2006 Kenneth Lumia.  All rights reserved.
*
* This software is provided "AS IS."  KENNETH LUMIA DISCLAIMS ALL 
* WARRANTIES, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, NOT LIMITED 
* TO MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND 
* INFRINGEMENT.  Kenneth Lumia shall in no event be liable for special, 
* incidental, or consequential damages.
*
************************************************************************/
#ifndef TIME_H
#define TIME_H
#include "GenericTypeDefs.h"

typedef struct
{
       int tm_sec;    //0-60 seconds
       int tm_min;    //0-59 minutes
       int tm_hour;   //0-23 hours
       int tm_mday;   //1-31 day of month
       int tm_mon;    //0-11 month
       int tm_year;   //year (elapsed from 1900)     
       int tm_wday;   //0-6 days since Sunday       
       int tm_yday;   //0-365 days since January 1  
       int tm_isdst;  //Daylight Savings time flag  1=dst on, 0 if off, -1 if unknown
} tm;

//Function prototypes
void Init_Time(int TZ,int DL);			// Initiate the time zone
int GetTimeZone (void);				// Get the time zone
BYTE dayofweek(tm *pp);				// Get the DAY of WEEK from the TM structure
DWORD mktime(tm* tmptr);			// Make UTC from TM structure
tm* gmtime(const DWORD *TimeStamp);		// Make TM from UTC
tm* localtime(const DWORD *TimeStamp);  	// Make TM from UTC + time zone
char* asctime(tm *the_time);			// Make string from TM
char* ctime(DWORD *timeptr);			// Make time string from UTC
char* cdate(DWORD *timeptr);			// Make date string from UTC
char* pktdate(DWORD *timeptr);			// Make paket date string from UTC
#endif

